wxWidgets: wxFileInputStream Class Reference

| Version: 3.0.4

Public Member Functions | List of all members
wxFileInputStream Class Reference
Class List by Category » Streams

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/wfstream.h>`

Inheritance diagram for wxFileInputStream:
[legend]

## Detailed Description

This class represents data read in from a file.

There are actually two such groups of classes: this one is based on wxFile whereas wxFFileInputStream is based in the wxFFile class.

Note that wxInputStream::SeekI() can seek beyond the end of the stream (file) and will thus not return wxInvalidOffset for that.

##

Library: wxBase

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxBufferedInputStream, wxFileOutputStream, wxFFileOutputStream

## Public Member Functions
| wxFileInputStream (const wxString &ifileName)
| Opens the specified file using its ifileName name in read-only mode. More...
| wxFileInputStream (wxFile &file)
| Initializes a file stream in read-only mode using the file I/O object file. More...
| wxFileInputStream (int fd)
| Initializes a file stream in read-only mode using the specified file descriptor. More...
virtual | ~wxFileInputStream ()
| Destructor. More...
bool | IsOk () const
| Returns true if the stream is initialized and ready. More...
wxFile * | GetFile () const
| Returns the underlying file object. More...
Public Member Functions inherited from wxInputStream
| wxInputStream ()
| Creates a dummy input stream. More...
virtual | ~wxInputStream ()
| Destructor. More...
virtual bool | CanRead () const
| Returns true if some data is available in the stream right now, so that calling Read() wouldn't block. More...
virtual bool | Eof () const
| Returns true after an attempt has been made to read past the end of the stream. More...
int | GetC ()
| Returns the first character in the input queue and removes it, blocking until it appears if necessary. More...
virtual size_t | LastRead () const
| Returns the last number of bytes read. More...
virtual char | Peek ()
| Returns the first character in the input queue without removing it. More...
virtual wxInputStream & | Read (void *buffer, size_t size)
| Reads the specified amount of bytes and stores the data in buffer. More...
wxInputStream & | Read (wxOutputStream &stream_out)
| Reads data from the input queue and stores it in the specified output stream. More...
bool | ReadAll (void *buffer, size_t size)
| Reads exactly the specified number of bytes into the buffer. More...
virtual wxFileOffset | SeekI (wxFileOffset pos, wxSeekMode mode=wxFromStart)
| Changes the stream current position. More...
virtual wxFileOffset | TellI () const
| Returns the current stream position or wxInvalidOffset if it's not available (e.g. More...
size_t | Ungetch (const void *buffer, size_t size)
| This function is only useful in read mode. More...
bool | Ungetch (char c)
| This function acts like the previous one except that it takes only one character: it is sometimes shorter to use than the generic function. More...
Public Member Functions inherited from wxStreamBase
| wxStreamBase ()
| Creates a dummy stream object. More...
virtual | ~wxStreamBase ()
| Destructor. More...
wxStreamError | GetLastError () const
| This function returns the last error. More...
virtual wxFileOffset | GetLength () const
| Returns the length of the stream in bytes. More...
virtual size_t | GetSize () const
| This function returns the size of the stream. More...
virtual bool | IsSeekable () const
| Returns true if the stream supports seeking to arbitrary offsets. More...
void | Reset (wxStreamError error=wxSTREAM_NO_ERROR)
| Resets the stream state. More...
bool | operator! () const
| Returns the opposite of IsOk(). More...

## Additional Inherited Members
Protected Member Functions inherited from wxInputStream
size_t | OnSysRead (void *buffer, size_t bufsize)=0
| Internal function. More...
Protected Member Functions inherited from wxStreamBase
virtual wxFileOffset | OnSysSeek (wxFileOffset pos, wxSeekMode mode)
| Internal function. More...
virtual wxFileOffset | OnSysTell () const
| Internal function. More...

## Constructor & Destructor Documentation

## ◆ wxFileInputStream() [1/3]

wxFileInputStream::wxFileInputStream | ( | const wxString & | ifileName | ) |

Opens the specified file using its ifileName name in read-only mode.

Warning
  You should use wxStreamBase::IsOk() to verify if the constructor succeeded.

## ◆ wxFileInputStream() [2/3]

wxFileInputStream::wxFileInputStream | ( | wxFile & | file | ) |

Initializes a file stream in read-only mode using the file I/O object file.

## ◆ wxFileInputStream() [3/3]

wxFileInputStream::wxFileInputStream | ( | int | fd | ) |

Initializes a file stream in read-only mode using the specified file descriptor.

## ◆ ~wxFileInputStream()

virtual wxFileInputStream::~wxFileInputStream | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ GetFile()

wxFile* wxFileInputStream::GetFile | ( |  | ) | const

Returns the underlying file object.

Since
  2.9.5

## ◆ IsOk()

bool wxFileInputStream::IsOk | ( |  | ) | const
| virtual

Returns true if the stream is initialized and ready.

Reimplemented from wxStreamBase.

Reimplemented in wxFileStream.